## dsi-conf-nrpe 0.5

=== Makefile ===
#!/usr/bin/make -f
# -*- makefile -*-

# "based" on template Makefile for most debian packages version 0.20~rc1

PACKNAME=$(shell dh_listpackages)
SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
ifeq ($(DEBVER),$(VER))
NATIVE=1
else
NATIVE=0
endif
MDIST=squeeze
DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
SECTION=main
CATEG=my_sources
#CATEG=other_sources
BINDIR=/usr/bin
SBINDIR=/usr/sbin
USRSHAREBASE=/usr/share
USRLIBBASE=/usr/lib
VARLIBBASE=/var/lib
SHAREDIR=$(USRSHAREBASE)/$(PACKNAME)
LIBDIR=$(USRLIBBASE)/$(PACKNAME)
DOCDIR=/usr/share/doc/$(PACKNAME)
ETCBASE=/etc
ETCDIR=$(ETCBASE)/$(PACKNAME)
MANDIR=/usr/share/man/man8
LOGROTATEDIR=/etc/logrotate.d
NRPED=/etc/nagios/nrpe.d
ZIPFILE=file-2.0.0.zip
ZIPDIR=file-2.0.0
TARFILE=file-$(VER).tar.gz
TARDIR=untar/$(PACKNAME)-$(VER)
ifeq ($(NATIVE),0)
DISTFILE=$(SOURCENAME)_$(VER).orig.tar.gz
DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
else
DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
DISTFILES=$(DISTFILE)
endif

# main
REPOSTARGETDIR=/srv/web/deb-ppa.calhariz.com/deb-ppa/

INCOMINGDIR=incoming-changes
REPOSHOST=root@deb-ppa.calhariz.com
REPOSTARGET=$(REPOSHOST):$(REPOSTARGETDIR)


# main
REPOSARCH=~/debian/$(SECTION)/$(CATEG)/$(SOURCENAME)


all:
	echo $(VER) $(DEBVER) $(MDIST) $(DIST) $(PACKNAME) $(SOURCENAME) $(NATIVE)
	echo $(DEB_HOST_GNU_TYPE) $(DEB_BUILD_GNU_TYPE)


#include /usr/share/quilt/quilt.make

unpack:unpack-up-stamp
unpack-up-stamp:
	#unzip $(ZIPFILE)
	#unzip $(ZIPFILE) -d $(ZIPDIR)
	#mkdir untar
	#tar xzf $(TARFILE) -C untar
	#Prepare files for patching
	touch unpack-up-stamp


configure:unpack configure-up-stamp
configure-up-stamp:
	#gen-spatch dsi-conf-nrpe / /etc/dsi-conf-nrpe
	#mv spatch spatch-dsi-conf-nrpe
	touch configure-up-stamp


build:configure build-up-stamp 
build-up-stamp:
	touch build-up-stamp


install:build install-up-stamp
install-up-stamp:
	echo $*
	mkdir -p $(DESTDIR)/$(ETCBASE)/$(PACKNAME)/debian
	mkdir -p $(DESTDIR)/$(SBINDIR)
	#mkdir -p $(DESTDIR)/$(USRSHAREBASE)/$(PACKNAME)
	mkdir -p $(DESTDIR)$(NRPED)
	tar cf - --exclude=.svn --exclude=CVS patches |  tar xf - -C $(DESTDIR)/$(ETCBASE)/$(PACKNAME)/debian
	#cp changelog $(DESTDIR)/$(ETCBASE)/$(PACKNAME)/debian
	#install -m 755 spatch-$(PACKNAME) $(DESTDIR)/$(USRSHAREBASE)/$(PACKNAME)/spatch
	cp update-$(PACKNAME) $(DESTDIR)/$(SBINDIR)/
	#cp $(PACKNAME).conf $(DESTDIR)/$(ETCBASE)/$(PACKNAME)/
	cp nrpe.d/* $(DESTDIR)$(NRPED)
	touch install-up-stamp


clean:
	find -name '*~' -exec rm {} \;
	rm -rf $(ZIPDIR) untar build-dir
	rm -f  configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp


# Create the files ready for distribution, need to be run in a dir
# without SVN control files

# Non-native package
#dist: clean
#	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)

# Create the files ready for distribution
# Debian native package
#dist: clean
#	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
#	cd .. && svn add $(DISTFILE)


# Experimental rule to build archive for public distribution
# Non-native package
dist-exp: clean
ifeq ($(NATIVE),0)
	# Non native package
	if test -e ../$(DISTFILE) ; then echo "$(DISTFILE) file should be generated only once" ; false ; fi
	#cp -al ../$(SOURCENAME) ../$(SOURCENAME)-$(VER)
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='debian' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(SOURCENAME)_$(VER).orig.tar.gz
else
	# native package
	cd .. && GZIP=-9 tar --exclude='.svn' --exclude='tmp' --exclude='*~' -czf $(DISTFILE) $(SOURCENAME)
	cd .. && svn add $(DISTFILE)
endif


# Create the deb file
deb:
	debuild -i
	debc

packages: deb


# Upload the packages and the distribution files into the rigth places
upload:	
	#mkdir -p $(REPOSARCH)
	cp -ia ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSARCH)
	rsync -z -rlptSPH -v ../$(SOURCENAME)_$(VER)* ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSTARGET)/$(INCOMINGDIR)
	ssh $(REPOSHOST) "cd $(REPOSTARGETDIR) ; reprepro -V --delete include $(DIST) $(REPOSTARGETDIR)/$(INCOMINGDIR)/*_$(DEBVER)_*.changes"


# Make tags of the sources as documented by subversion
tag:
	cd .. ; svn add $(DISTFILES) ;\
		echo $(PWD)
	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
			$(SOURCENAME)_$(DEBVER)_*.build \
			$(SOURCENAME)_$(DEBVER).dsc
	cd .. ; svn add *_$(DEBVER)_*.deb
	cd .. ; svn st ; echo "enter to continue" ; read enter
	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb
	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
		$(DISTFILES) \
		$(SOURCENAME)_$(DEBVER)_*.changes \
		$(SOURCENAME)_$(DEBVER)_*.build \
		$(SOURCENAME)_$(DEBVER).dsc \
		*_$(DEBVER)_*.deb \
		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
	debchange -i "New release"


.PHONY: build clean binary-indep binary-arch binary install configure unpack
