=== debian/changelog ===
dsi-conf-nrpe (0.5) squeeze; urgency=low

  * The configuration file /etc/dsi-conf-nrpe/dsi-conf-nrpe.conf is no
    longer supported, don't source it.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Wed, 07 Nov 2012 15:35:59 +0000

dsi-conf-nrpe (0.4) squeeze; urgency=low

  * Revert update-dsi-conf-nrpe, is needed to configure /etc/sudoers.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Tue, 06 Nov 2012 19:22:40 +0000

dsi-conf-nrpe (0.3) squeeze; urgency=low

  * nrpe.d/check_smart.cfg: Add commands for checking sata disks.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Fri, 02 Nov 2012 20:09:29 +0000

dsi-conf-nrpe (0.2) squeeze; urgency=low

  * Drop update-dsi-conf-nrpe.  The configuration using a dpatch system is
    replaced by the file /etc/nagios/nrpe.d/z00_allowed_hosts.cfg.

 -- Jose Calhariz <jose.calhariz@ist.utl.pt>  Fri, 02 Nov 2012 18:57:06 +0000

dsi-conf-nrpe (0.1) squeeze; urgency=low

  * Initial release. 

 -- Jose Calhariz <jose.calhariz@tagus.ist.utl.pt>  Fri, 26 Oct 2012 18:34:22 +0100
