=== debian/control ===
Source: dsi-conf-nrpe
Section: dsi
Priority: extra
Maintainer: Jose Calhariz <jose.calhariz@ist.utl.pt>
Build-Depends: debhelper (>= 7.0.50~), 
Standards-Version: 3.8.4
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/deb-template.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/deb-template.git;a=summary

Package: dsi-conf-nrpe
Architecture: all
Conflicts: tp-conf-srv (<= 0.73),
Depends: sudo, 
 ${shlibs:Depends}, ${misc:Depends}
Description: Configures the nrpe server for DSI
 Files and configurator for nagios-nrpe-server to be used at DSI.
