## dsi-conf-nrpe 0.9

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-# "based" on template Makefile for most debian packages version 0.20~rc1
+# Copyrigth: 2005-2014 Instituto Superior Técnico
+# Author: Jose M Calhariz <jose.calhariz@ist.utl.pt>
+
+# License: GPL2+ with OpenSSL exception
+
+
+# "based" on template Makefile for most debian packages version 0.24
 
 PACKNAME=$(shell dh_listpackages)
 SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
@@ -12,7 +18,7 @@
 else
 NATIVE=0
 endif
-MDIST=squeeze
+MDIST=wheezy
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=main
 CATEG=my_sources
@@ -30,6 +36,7 @@
 MANDIR=/usr/share/man/man8
 LOGROTATEDIR=/etc/logrotate.d
 NRPED=/etc/nagios/nrpe.d
+SUDOERSD=/etc/sudoers.d
 ZIPFILE=file-2.0.0.zip
 ZIPDIR=file-2.0.0
 TARFILE=file-$(VER).tar.gz
@@ -41,17 +48,6 @@
 DISTFILE=$(SOURCENAME)_$(DEBVER).tar.gz
 DISTFILES=$(DISTFILE)
 endif
-
-# main
-REPOSTARGETDIR=/srv/web/deb-ppa.calhariz.com/deb-ppa/
-
-INCOMINGDIR=incoming-changes
-REPOSHOST=root@deb-ppa.calhariz.com
-REPOSTARGET=$(REPOSHOST):$(REPOSTARGETDIR)
-
-
-# main
-REPOSARCH=~/debian/$(SECTION)/$(CATEG)/$(SOURCENAME)
 
 
 all:
@@ -78,9 +74,17 @@
 	touch configure-up-stamp
 
 
-build:configure build-up-stamp 
-build-up-stamp:
-	touch build-up-stamp
+build-arch: configure build-arch-up-stamp
+build-arch-up-stamp:
+	touch build-arch-up-stamp
+
+
+build-indep: configure build-indep-up-stamp
+build-indep-up-stamp:
+	touch build-indep-up-stamp
+
+
+build: build-arch build-indep
 
 
 install:build install-up-stamp
@@ -90,19 +94,21 @@
 	mkdir -p $(DESTDIR)/$(SBINDIR)
 	#mkdir -p $(DESTDIR)/$(USRSHAREBASE)/$(PACKNAME)
 	mkdir -p $(DESTDIR)$(NRPED)
+	mkdir -p $(DESTDIR)$(SUDOERSD)
 	tar cf - --exclude=.svn --exclude=CVS patches |  tar xf - -C $(DESTDIR)/$(ETCBASE)/$(PACKNAME)/debian
 	#cp changelog $(DESTDIR)/$(ETCBASE)/$(PACKNAME)/debian
 	#install -m 755 spatch-$(PACKNAME) $(DESTDIR)/$(USRSHAREBASE)/$(PACKNAME)/spatch
-	cp update-$(PACKNAME) $(DESTDIR)/$(SBINDIR)/
+	#cp update-$(PACKNAME) $(DESTDIR)/$(SBINDIR)/
 	#cp $(PACKNAME).conf $(DESTDIR)/$(ETCBASE)/$(PACKNAME)/
 	cp nrpe.d/* $(DESTDIR)$(NRPED)
+	cp sudoers.d/* $(DESTDIR)$(SUDOERSD)
 	touch install-up-stamp
 
 
 clean:
 	find -name '*~' -exec rm {} \;
 	rm -rf $(ZIPDIR) untar build-dir
-	rm -f  configure-up-stamp unpack-up-stamp build-up-stamp install-up-stamp
+	rm -f  configure-up-stamp unpack-up-stamp build-arch-up-stamp build-indep-up-stamp build-up-stamp install-up-stamp
 
 
 # Create the files ready for distribution, need to be run in a dir
@@ -147,11 +153,7 @@
 
 # Upload the packages and the distribution files into the rigth places
 upload:	
-	#mkdir -p $(REPOSARCH)
-	cp -ia ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSARCH)
-	rsync -z -rlptSPH -v ../$(SOURCENAME)_$(VER)* ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSTARGET)/$(INCOMINGDIR)
-	ssh $(REPOSHOST) "cd $(REPOSTARGETDIR) ; reprepro -V --delete include $(DIST) $(REPOSTARGETDIR)/$(INCOMINGDIR)/*_$(DEBVER)_*.changes"
-
+	make -f ../upload upload
 
 # Make tags of the sources as documented by subversion
 tag:
