=== debian/changelog ===
dsi-conf-nrpe (0.9) wheezy; urgency=low

  * nrpe.d/z00_allowed_hosts.cfg: add 193.136.132.129 to the list of
    authorized hosts.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 27 Feb 2014 14:14:24 +0000

dsi-conf-nrpe (0.8) wheezy; urgency=low

  * Add instructions about check_smartd to README.Debian.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Thu, 27 Feb 2014 14:12:06 +0000

dsi-conf-nrpe (0.7) wheezy; urgency=low

  * Add support for check_lsi_raid on nrpe side.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Wed, 26 Feb 2014 18:11:01 +0000

dsi-conf-nrpe (0.6) wheezy; urgency=low

  * Update Makefile to version 0.24.
  * Update debian/rules to version 0.24.
  * Update maintainer name.
  * Support for /etc/sudoers.d directory.
  * Add support for plugin check_lsi_raid.

 -- Jose M Calhariz <jose.calhariz@ist.utl.pt>  Fri, 21 Feb 2014 14:58:45 +0000
