=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: dsi-conf-nrpe
 Section: dsi
 Priority: extra
-Maintainer: Jose Calhariz <jose.calhariz@ist.utl.pt>
+Maintainer: Jose M Calhariz <jose.calhariz@ist.utl.pt>
 Build-Depends: debhelper (>= 7.0.50~), 
 Standards-Version: 3.8.4
-Homepage: <insert the upstream URL, if relevant>
+Homepage: http://blog.calhariz.com
 #Vcs-Git: git://git.debian.org/collab-maint/deb-template.git
 #Vcs-Browser: http://git.debian.org/?p=collab-maint/deb-template.git;a=summary
