=== debian/rules ===
--- 
+++ 
@@ -6,25 +6,41 @@
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
-#  "based" on template debian/rules for most debian packages version 0.16~rc1
+#  "based" on template debian/rules for most debian packages version 0.24
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+#For overriding debian/compat
+#export DH_COMPAT=7
 
 PACKAGE=$(shell dh_listpackages)
 
 # Variabels used by the Debian Maintainer exclusively for package
 # development.
+SOURCENAME=$(shell dpkg-parsechangelog | grep "Source:" | cut -d ' ' -f 2)
 DEBVER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2)
 VER=$(shell dpkg-parsechangelog | grep "Version:" | cut -d ' ' -f 2 | cut -f 1 -d -)
-MDIST=lenny
+ifeq ($(DEBVER),$(VER))
+NATIVE=1
+else
+NATIVE=0
+endif
+MDIST=wheezy
 DIST=$(shell dpkg-parsechangelog | grep "Distribution" | cut -d ' ' -f 2)
 SECTION=non-free
 CATEG=my_sources
-CATEG=other_sources
-REPOSTARGET=root@debian.tagus.ist.utl.pt:/var/www/debian/debian/dists/$(MDIST)/$(DIST)/$(SECTION)/
-REPOSARCH=~/debian/$(SECTION)/$(CATEG)/$(SOURCENAME)
+#CATEG=other_sources
+ifeq ($(NATIVE),0)
+DISTFILE=$(SOURCENAME)_$(VER).orig.tar.xz
+DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).diff.gz
+#DISTFILES=$(DISTFILE) $(SOURCENAME)_$(DEBVER).debian.tar.gz
+else
+DISTFILE=$(SOURCENAME)_$(DEBVER).tar.xz
+DISTFILES=$(DISTFILE)
+endif
+
+
 
 
 CFLAGS = -Wall -g
@@ -36,13 +52,34 @@
 endif
 
 
-
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	make configure
-	touch configure-stamp
+	$(MAKE) configure
+	touch $@
+
+
+build-arch: build-arch-stamp
+build-arch-stamp: configure-stamp
+	dh_testdir
+
+	# Add here commands to compile the package.
+	$(MAKE) build-arch
+	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1
+
+	touch $@
+
+
+build-indep: build-indep-stamp
+build-indep-stamp: configure-stamp
+	dh_testdir
+
+	# Add here commands to compile the package.
+	$(MAKE) build-indep
+	#docbook-to-man debian/$(PACKAGE).sgml > $(PACKAGE).1
+
+	touch $@
 
 
 build: build-stamp
@@ -77,11 +114,13 @@
 
 
 # Build architecture-independent files here.
-binary-indep: build install
+#binary-indep: build-indep install
+binary-arch: build-arch install
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
-binary-arch: build install
+#binary-arch: build-arch install
+binary-indep: build-indep install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
@@ -123,21 +162,34 @@
 
 
 # Upload the packages and the distribution files into the rigth places
-upload:	
-	#mkdir -p $(REPOSARCH)
-	cp ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSARCH)
-	scp ../$(SOURCENAME)_$(VER)* ../*_$(DEBVER).* ../*_$(DEBVER)_* $(REPOSTARGET)
+upload: 
+	make -f ../upload upload
 
 
 # Make tags of the sources as documented by subversion
 tag:
-	cd .. ; svn add $(SOURCENAME)_$(VER).orig.tar.gz $(SOURCENAME)_$(VER).tar.gz
-	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes ; svn add $(SOURCENAME)_$(DEBVER)_*.build ; svn add $(SOURCENAME)_$(DEBVER).dsc ; svn add $(SOURCENAME)_$(DEBVER).diff.gz
+	cd .. ; svn add $(DISTFILES) ;\
+		echo $(CURDIR)
+	cd .. ; svn add $(SOURCENAME)_$(DEBVER)_*.changes \
+			$(SOURCENAME)_$(DEBVER)_*.build \
+			$(SOURCENAME)_$(DEBVER).dsc
 	cd .. ; svn add *_$(DEBVER)_*.deb
 	cd .. ; svn st ; echo "enter to continue" ; read enter
-	cd .. ; svn ci -m "released v$(DEBVER)"
-	svn copy -m "released v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/trunk/src/$(SOURCENAME) $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
-	debchange -i
+	cd .. ; shopt -s nullglob ; svn ci -m "released v$(DEBVER)" \
+		$(DISTFILES) \
+		$(SOURCENAME)_$(DEBVER)_*.changes \
+		$(SOURCENAME)_$(DEBVER)_*.build \
+		$(SOURCENAME)_$(DEBVER).dsc \
+		*_$(DEBVER)_*.deb
+	svn mkdir --parents -m "Preparing tag directory for release v$(DEBVER)" $(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
+	cd .. ; shopt -s nullglob ; svn copy -m "released v$(DEBVER)" \
+		$(DISTFILES) \
+		$(SOURCENAME)_$(DEBVER)_*.changes \
+		$(SOURCENAME)_$(DEBVER)_*.build \
+		$(SOURCENAME)_$(DEBVER).dsc \
+		*_$(DEBVER)_*.deb \
+		$(shell svn info | grep "Repository Root" | cut -d ' ' -f 3)/tags/src/$(SOURCENAME)/$(SOURCENAME)-$(DEBVER)
+	debchange -i "New release"
 
 
 binary: binary-indep binary-arch
